<?php
/**
 * Created by PhpStorm.
 * User: Junaid Rahman
 * Date: 20-09-2016
 * Time: 05:08 PM
 */
namespace app\models;

use yii;
use yii\base\Model;
use yii\web\UploadedFile;

class UploadForm extends Model
{
    /**
     * @var UploadedFile
     */
    public $themeFile;

    public function rules()
    {
        return [
            [['themeFile'], 'file', 'skipOnEmpty' => false, 'extensions' => 'js, css, html'],
        ];
    }

    public function upload()
    {
        if ($this->validate()) {
            $this->themeFile->saveAs(Yii::$app->params['uploadPath']);
            return true;
        } else {
            return false;
        }
    }
}