<?php

use yii\helpers\Html;
use yii\bootstrap\ActiveForm;

/* @var $this yii\web\View */
/* @var $model common\models\Theme */
/* @var $form yii\bootstrap\ActiveForm */
?>

<div class="theme-form">

    <?php $form = ActiveForm::begin(); ?>

    <div id="myTabContent" class="tab-content">
        <div class="tab-pane fade in active" id="info">
            <div class="page-header">

                <h3> <?= Yii::t('backend', 'Info') ?> </h3>

            </div>
            <div class="row">
                <div class="col-md-6">

                   <?= $form->field($model, 'category_id')->dropDownList(\common\models\Category::getAllCategories(), ['prompt' => '']) ?>

                </div>
            </div>
            <div class="row">
                <div class="col-md-6">

                    <?= $form->field($model, 'code')->textInput(['maxlength' => true]) ?>

                </div>
            </div>
            <div class="row">
                <div class="col-md-6">

                    <?= $form->field($model, 'slug')->textInput(['maxlength' => true]) ?>

                </div>
            </div>
            <div class="row">
                <div class="col-md-6">

                    <?= $form->field($model, 'name')->textInput(['maxlength' => true]) ?>

                </div>
            </div>
            <div class="row">
                <div class="col-md-6">

                    <?= $form->field($model, 'description')->textarea(['maxlength' => true]) ?>

                </div>
            </div>
            <div class="row">
                <div class="col-md-6">

                    <?= $form->field($model, 'status')->dropDownList($model::statuses(), ['prompt' => '']) ?>

                </div>
            </div>
            <div class="form-group">

                <?= Html::submitButton($model->isNewRecord ? Yii::t('backend', 'Create') : Yii::t('backend', 'Update'), ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>

            </div>

            <?php ActiveForm::end(); ?>

        </div>
